Log::Dispatch::ApacheLog(3)

NAME
Log::Dispatch::ApacheLog - Object for logging to Apache::Log objects

VERSION
version 2.32

SYNOPSIS
  use Log::Dispatch;

  my $log = Log::Dispatch->new(
      outputs => [
          [ 'ApacheLog', apache => $r ],
      ],
  );

  $log->emerg('Kaboom');

DESCRIPTION
This module allows you to pass messages to Apache's log object, represented by the Apache::Log class.

CONSTRUCTOR
The constructor takes the following parameters in addition to the standard parameters documented in Log::Dispatch::Output:

•   apache ($)

    An object of either the Apache or Apache::Server classes. Required.

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2011 by Dave Rolsky.

This is free software, licensed under:

  The Artistic License 2.0 (GPL Compatible)